/*****************************************************************************
  Copyright  1998 - 2003 by Martin Cook. All rights are reserved. If you like 
  this code then feel free to go ahead and use it. The only thing I ask is 
  that you don't remove or alter my copyright notice. Your use of this 
  software is entirely at your own risk. I make no claims or warrantees about 
  the reliability or fitness of this code for any particular purpose. If you 
  make changes or additions to this code please mark your code as being 
  yours. If you have questions or comments then please contact me at: 
  martinc@outdrs.net
  
  Have Fun! :o)
*****************************************************************************/

#include "stdafx.h"
#include "StatusBarDemo.h"
#include "DemoFrame.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif // _DEBUG

// ***************************************************************************
// CDemoFrame maps and macros.
// ***************************************************************************

IMPLEMENT_DYNAMIC(CDemoFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CDemoFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CDemoFrame)
	ON_WM_CREATE()
	ON_WM_SETFOCUS()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// ***************************************************************************
// CDemoFrame implementation.
// ***************************************************************************

CDemoFrame::CDemoFrame( void )
{
	ASSERT_VALID( this );
} // End CDemoFrame()

// ***************************************************************************

CDemoFrame::~CDemoFrame( void )
{
	ASSERT_VALID( this );
} // End ~CDemoFrame()

// ***************************************************************************

int CDemoFrame::OnCreate( LPCREATESTRUCT lpCreateStruct )
{
	
	ASSERT_VALID( this );

	if ( -1 == CFrameWnd::OnCreate( lpCreateStruct ) )
		return -1;

	if ( FALSE == m_wndView.Create( NULL, NULL, AFX_WS_DEFAULT_VIEW,
		CRect(0, 0, 0, 0), this, AFX_IDW_PANE_FIRST, NULL ) )
	{
		
		TRACE0( "Failed to create view window\n" );
		
		return -1;
	
	} // End if we failed to create the view.

	if ( FALSE == m_wndStatusBar.Create( this ) )
	{
		
		TRACE0( "Failed to create status bar\n" );
	
		return -1;
	
	} // End if we failed to create the status bar.

	return 0;

} // End OnCreate()

// ***************************************************************************

BOOL CDemoFrame::PreCreateWindow( CREATESTRUCT& cs )
{
	
	ASSERT_VALID( this );
	
	if ( FALSE == CFrameWnd::PreCreateWindow( cs ) )
		return FALSE;

	cs.dwExStyle &= ~WS_EX_CLIENTEDGE;
	cs.lpszClass = AfxRegisterWndClass( 0 );
	
	return TRUE;

} // End PreCreateWindow()

// ***************************************************************************

void CDemoFrame::OnSetFocus( CWnd* )
{
	
	ASSERT_VALID( this );

	m_wndView.SetFocus();

} // End OnSetFocus()

// ***************************************************************************

BOOL CDemoFrame::OnCmdMsg( UINT nID, int nCode, void* pExtra, 
	AFX_CMDHANDLERINFO* pHandlerInfo )
{

	ASSERT_VALID( this );

	if ( m_wndView.OnCmdMsg( nID, nCode, pExtra, pHandlerInfo ) )
		return TRUE;

	return CFrameWnd::OnCmdMsg( nID, nCode, pExtra, pHandlerInfo );

} // End OnCmdMsg()

// ********************************* EOF *************************************
