/*****************************************************************************
  Copyright  1998 - 2003 by Martin Cook. All rights are reserved. If you like 
  this code then feel free to go ahead and use it. The only thing I ask is 
  that you don't remove or alter my copyright notice. Your use of this 
  software is entirely at your own risk. I make no claims or warrantees about 
  the reliability or fitness of this code for any particular purpose. If you 
  make changes or additions to this code please mark your code as being 
  yours. If you have questions or comments then please contact me at: 
  martinc@outdrs.net
  
  Have Fun! :o)
*****************************************************************************/

#include "stdafx.h"
#include "DemoStatusBar.h"
#include "DTPicker.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif // _DEBUG

// ***************************************************************************
// Local data and types.
// ***************************************************************************

static const UINT IDC_DTPICKER = 1000;
static const UINT IDC_SLIDER = 1001;

// ***************************************************************************
// CDemoStatusBar maps and macros.
// ***************************************************************************

BEGIN_MESSAGE_MAP(CDemoStatusBar, CStatusBarEx)
	//{{AFX_MSG_MAP(CDemoStatusBar)
	ON_WM_CREATE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BEGIN_EVENTSINK_MAP(CDemoStatusBar, CStatusBarEx)
    //{{AFX_EVENTSINK_MAP(CDemoStatusBar)
	ON_EVENT(CDemoStatusBar, IDC_DTPICKER, 2 /* Change */, OnChangeDtpicker, VTS_NONE)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

// ***************************************************************************
// CDemoStatusBar implementation.
// ***************************************************************************

CDemoStatusBar::CDemoStatusBar( void )
{
	ASSERT_VALID( this );
} // End CDemoStatusBar()

// ***************************************************************************

CDemoStatusBar::~CDemoStatusBar( void )
{
	ASSERT_VALID( this );
} // End ~CDemoStatusBar()

// ***************************************************************************

int CDemoStatusBar::OnCreate( LPCREATESTRUCT lpCreateStruct ) 
{
	
	ASSERT_VALID( this );

	// Create the extended status bar.
	if ( -1 == CStatusBarEx::OnCreate( lpCreateStruct ) )
		return -1;

	// Make the status bar slightly taller in order to contain 
	//   the controls.
	SendMessage( SB_SETMINHEIGHT, 22, 0 );

	// Add a date/time picker control.
	AddChildWindow( _T("MSComCtl2.DTPicker"), IDC_DTPICKER, 100 );

	// Add a slider control.
	AddChildWindow( _T("COMCTL.Slider"), IDC_SLIDER, 150 );
	
	return 0;

} // End OnCreate()

// ***************************************************************************

void CDemoStatusBar::OnChangeDtpicker( void ) 
{

	ASSERT_VALID( this );

	// Get a pointer to the dtpicker control.
	CDTPicker* pWnd = (CDTPicker*)GetChildWindow( IDC_DTPICKER );
	ASSERT_VALID( pWnd );

	// Get the currently selected date.
	CString strDate;
	strDate.Format( _T("Date Selected: %d/%d/%d"), pWnd->GetMonth().iVal,
		pWnd->GetDay().iVal, pWnd->GetYear().iVal );
	
	// Show the date on the status bar.
	GetParentFrame()->SetMessageText( strDate );

} // End OnChangeDtpicker()

// ********************************* EOF *************************************
